import {
  getGoodsCollectionList
} from '~/services/usercenter/goods-collect/getGoodsCollectionList';


Page({
  page: {
    size: 10,
    num: 1,
  },
  /**
   * 页面的初始数据
   */
  data: {
    list: []
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.init()
  },

  // 获取售后订单列表
  init(reset = false) {
    const params = {
      pageSize: this.page.size,
      pageIndex: this.page.num,
    };

    return getGoodsCollectionList(params)
      .then((res) => {
        this.page.num++;
        let list = [];

        if (res && res.data && res.data.result) {
          this.setData({
            list: res.data.result
          })
        }

        return new Promise((resolve) => {
          if (reset) {
            this.setData({
                list: [],
              },
              () => resolve(),
            );
          } else resolve();
        }).then(() => {
          this.setData({
            list: this.data.list.concat(list),
          });
        });
      })
      .catch((err) => {
        return Promise.reject(err);
      });
  },

  gotoGoodsDetail(e) {
    const {
      index
    } = e.detail;
    const {
      spuId
    } = this.data.list[index];
    wx.navigateTo({
      url: `/pages/goods/details/index?spuId=${spuId}`,
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})